<REFENTRY ID="SQL-MOVE">
<REFMETA>
<REFENTRYTITLE>
MOVE
</REFENTRYTITLE>
<REFMISCINFO>SQL - Language Statements</REFMISCINFO>
</REFMETA>
<REFNAMEDIV>
<REFNAME>
MOVE
</REFNAME>
<REFPURPOSE>
Moves cursor position
</REFPURPOSE>
  </refnamediv>                
<REFSYNOPSISDIV>
<REFSYNOPSISDIVINFO>
<DATE>1998-09-24</DATE>
</REFSYNOPSISDIVINFO>
<SYNOPSIS>
MOVE [ <REPLACEABLE CLASS="PARAMETER">selector</REPLACEABLE> ] [ <REPLACEABLE CLASS="PARAMETER">count</REPLACEABLE> ] 
    { IN | FROM } <REPLACEABLE CLASS="PARAMETER">cursor</REPLACEABLE>
FETCH [ RELATIVE ] [ { [ <REPLACEABLE CLASS="PARAMETER">#</REPLACEABLE> | ALL | NEXT | PRIOR ] } ] FROM ] <REPLACEABLE CLASS="PARAMETER">cursor</REPLACEABLE>
	</SYNOPSIS>
  </refsynopsisdiv>

  <REFSECT1 ID="R1-SQL-MOVE-1">
	<REFSECT1INFO>
	  <DATE>1998-09-24</DATE>
	</REFSECT1INFO>
	<TITLE>
	  Description
	</TITLE>
	<PARA>
	  <command>MOVE</command> allows a user to move cursor position a specified
	  number of rows.
	  <command>MOVE</command> works like the <command>FETCH</command> command,
	  but only positions the cursor and does
	  not return rows.
	</para>
	<para>
	  Refer to the <command>FETCH</command> command for details on syntax and usage.
	</para>

	<REFSECT2 ID="R2-SQL-MOVE-3">
	  <REFSECT2INFO>
		<DATE>1998-09-24</DATE>
	  </REFSECT2INFO>
	  <TITLE>
		Notes
	  </TITLE>
	  <PARA>
		<command>MOVE</command> is a <productname>Postgres</productname>
		language extension.
	  </para>
	  <para>
		Refer to <command>FETCH</command> for a description
		of valid arguments.
		Refer to <command>DECLARE</command> to declare a cursor.
		Refer to <command>BEGIN WORK</command>, <command>COMMIT WORK</command>,
		<command>ROLLBACK WORK</command> statements
		for further information about transactions.
	  </para>
	</REFSECT2>
  </refsect1>

  <REFSECT1 ID="R1-SQL-MOVE-2">
	<TITLE>
	  Usage
	</TITLE>
	<PARA>
	  <ProgramListing>
		--set up and use a cursor:
		--
		BEGIN WORK;
		DECLARE liahona CURSOR  FOR SELECT * FROM films;
		
		--Skip first 5 rows:
		--
		MOVE FORWARD 5 IN liahona;
		<computeroutput>
		  MOVE
		</computeroutput>
		--Fetch 6th row in the cursor liahona:
		--
		FETCH 1 IN liahona;
		<computeroutput>
		  FETCH
		  code |title |did| date_prod|kind      |len
		  -----+------+---+----------+----------+------
		  P_303|48 Hrs|103|1982-10-22|Action    | 01:37
		  (1 row)
		</computeroutput>
		-- close the cursor liahona and commit work:
		--
		CLOSE liahona;
		COMMIT WORK;
	  </ProgramListing>
	</para>
  </REFSECT1>

  <REFSECT1 ID="R1-SQL-MOVE-3">
	<TITLE>
	  Compatibility
	</TITLE>
	<PARA>
	</PARA>
	
	<REFSECT2 ID="R2-SQL-MOVE-4">
	  <REFSECT2INFO>
		<DATE>1998-09-01</DATE>
	  </REFSECT2INFO>
	  <TITLE>
		SQL92
	  </TITLE>
	  <PARA>
		There is no SQL92 <command>MOVE</command> statement. 
		Instead, <acronym>SQL92</acronym> allows
		one to <command>FETCH</command> rows from an absolute cursor position,
		implicitly moving the cursor to the correct place.
	  </para>
	</refsect2>
  </refsect1>
</REFENTRY>
